// accordion.js
import { DOM } from "./ui.js";

export function initAccordion() {
    if (!DOM.historyHeader || !DOM.historyBody) return;

    let open = false;

    DOM.historyBody.classList.add("collapsed");
    DOM.historyHeader.textContent = "▶ ПРИНЯТЫЕ ДАННЫЕ";

    DOM.historyHeader.addEventListener("click", () => {
        open = !open;

        DOM.historyHeader.textContent =
            (open ? "▼" : "▶") + " ПРИНЯТЫЕ ДАННЫЕ";

        DOM.historyBody.classList.toggle("collapsed", !open);
    });
}